### Method

# EBookContacts VCardAttribute get_value

#### Declaration [src]

    gchar*
    e_vcard_attribute_get_value (
      EVCardAttribute* attr
    )

#### Description [src]

Gets the value of a single-valued `EVCardAttribute`, `attr`.

For example, for a `FN` (full name) attribute, this will return the contact’s full name as a single string.

This will print a warning if called on an `EVCardAttribute` which is not single-valued (i.e. for which `e_vcard_attribute_is_single_valued()` returns `FALSE`). Use `e_vcard_attribute_get_values()` in such cases instead.

#### Return value

Type: `gchar*`

A newly allocated string representing the value, or `NULL` if the attribute has no value.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.